/*
 * @(#) ShowGridAction.java Oct 24, 2003 Copyright (c) 2002-2005 Delft
 * University of Technology Jaffalaan 5, 2628 BX Delft, the Netherlands. All
 * rights reserved. This software is proprietary information of Delft University
 * of Technology The code is published under the Lesser General Public License
 */
package nl.tudelft.simulation.dsol.gui.actions;

import java.awt.event.ActionEvent;

import javax.swing.Action;
import javax.swing.ImageIcon;

import nl.tudelft.simulation.dsol.gui.DSOLApplicationInterface;
import nl.tudelft.simulation.dsol.simulators.SimulatorInterface;
import nl.tudelft.simulation.event.EventInterface;
import nl.tudelft.simulation.event.EventListenerInterface;
import nl.tudelft.simulation.logger.Logger;

/**
 * The StepAction <br>
 * (c) copyright 2002-2005 <a href="http://www.simulation.tudelft.nl">Delft
 * University of Technology </a>, the Netherlands. <br>
 * See for project information <a
 * href="http://www.simulation.tudelft.nl">www.simulation.tudelft.nl </a> <br>
 * License of use: <a href="http://www.gnu.org/copyleft/lesser.html">Lesser
 * General Public License (LGPL) </a>, no warranty.
 * 
 * @version $Revision: 1.8 $ $Date: 2005/08/09 10:41:05 $
 * @author <a href="http://www.peter-jacobs.com">Peter Jacobs </a>
 */
public class StepAction extends SimulatorAction implements
        EventListenerInterface
{
    /**
     * constructs a new ShowGridAction
     * 
     * @param application the application
     */
    public StepAction(final DSOLApplicationInterface application)
    {
        super("step", application);
        this
                .putValue(
                        Action.SMALL_ICON,
                        new ImageIcon(
                                this
                                        .getClass()
                                        .getResource(
                                                "/toolbarButtonGraphics/media/StepForward16.gif")));
    }

    /**
     * @see java.awt.event.ActionListener
     *      #actionPerformed(java.awt.event.ActionEvent)
     */
    public void actionPerformed(final ActionEvent event)
    {
        try
        {
            super.simulator.step();
        } catch (Exception exception)
        {
            Logger.warning(this, "actionPerformed", exception);
        }
    }

    /**
     * @see nl.tudelft.simulation.event.EventListenerInterface
     *      #notify(nl.tudelft.simulation.event.EventInterface)
     */
    @Override
    public void notify(final EventInterface event)
    {
        super.notify(event);
        this.setEnabled(false);
        if (event.getType().equals(SimulatorInterface.START_EVENT))
        {
            this.setEnabled(false);
            return;
        }
        if (event.getType().equals(SimulatorInterface.STOP_EVENT))
        {
            this.setEnabled(true);
            return;
        }
    }
}