/*
 * @(#) ExperimentParsingThread.java Mar 2, 2004 Copyright (c) 2002-2005 Delft
 * University of Technology Jaffalaan 5, 2628 BX Delft, the Netherlands. All
 * rights reserved. This software is proprietary information of Delft University
 * of Technology The code is published under the Lesser General Public License
 */
package nl.tudelft.simulation.dsol.gui.panels;

import java.awt.Component;
import java.io.IOException;
import java.net.URL;

import javax.swing.JOptionPane;

import nl.tudelft.simulation.dsol.experiment.ExperimentalFrame;
import nl.tudelft.simulation.event.Event;
import nl.tudelft.simulation.event.EventListenerInterface;
import nl.tudelft.simulation.logger.Logger;
import nl.tudelft.simulation.xml.dsol.ExperimentParser;
import nl.tudelft.simulation.xml.dsol.ExperimentParsingThread;

/**
 * A ExperimentParsingThread <br>
 * (c) copyright 2002-2005 <a href="http://www.simulation.tudelft.nl">Delft
 * University of Technology </a>, the Netherlands. <br>
 * See for project information <a
 * href="http://www.simulation.tudelft.nl">www.simulation.tudelft.nl </a> <br>
 * License of use: <a href="http://www.gnu.org/copyleft/lesser.html">Lesser
 * General Public License (LGPL) </a>, no warranty.
 * 
 * @version $Revision: 1.6 $ $Date: 2005/08/09 10:41:04 $
 * @author <a href="http://www.peter-jacobs.com">Peter Jacobs </a>
 */
public class GUIExperimentParsingThread extends ExperimentParsingThread
{

    /** the parent component */
    protected Component parent = null;

    /**
     * constructs a new ExperimentParsingThread
     * 
     * @param source the source of this thread
     * @param parent the parent component
     * @param experiment the experiment to parse
     */
    public GUIExperimentParsingThread(final EventListenerInterface source,
            final Component parent, final URL experiment)
    {
        super(source, experiment);
        this.parent = parent;
    }

    /**
     * @see java.lang.Runnable#run()
     */
    @Override
    public void run()
    {
        WaitingFrame waitingFrame = new WaitingFrame();
        try
        {
            ExperimentalFrame experimentalFrame = ExperimentParser
                    .parseExperimentalFrame(this.experiment);
            this.source.notify(new Event(EXPERIMENT_PARSED_EVENT, this,
                    experimentalFrame));
            waitingFrame.dispose();
        } catch (IOException exception)
        {
            waitingFrame.dispose();
            Logger.warning(this, "run", exception);
            JOptionPane.showMessageDialog(this.parent,
                    exception.getClass().getName()
                            .substring(
                                    exception.getClass().getName().lastIndexOf(
                                            ".") + 1)
                            + " occurred while loading "
                            + this.experiment
                            + ".\n", "Error", JOptionPane.ERROR_MESSAGE);
        }
    }
}